igeo

## Class IUStripeShiftMap

- java.lang.Object
- - igeo.IMap
  - - igeo.IUStripeShiftMap

-     public class IUStripeShiftMap
      extends IMap

  A subclass of IMap defined by another map and parameter shift in u direction in a stripe way in v direction
  Author:
    Satoru Sugihara

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.ArrayList<java.lang.Double>` | `domains`
    `IMap` | `origMap`
    `java.util.ArrayList<java.lang.Double>` | `shiftAmounts`

    - ### Fields inherited from class igeo.IMap

      `defaultDensityHeight, defaultDensityWidth, defaultExportHeight, defaultExportWidth, densityMinDelta, uIntegration, vIntegration`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IUStripeShiftMap(IMap originalMap)`
    `IUStripeShiftMap(IMap originalMap, double shift)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addShift(double domain, double shiftAmount)`
    `double` | `get(double u, double v)` A main method to get a value of the map.
    `double` | `getShift(double x)`

    - ### Methods inherited from class igeo.IMap

      `createImage, createImage, flipU, flipV, get, initDensityMapU, initDensityMapU, initDensityMapV, initDensityMapV, matchUDensityWithMap, matchUDensityWithMap, matchVDensityWithMap, matchVDensityWithMap, project, projectU, projectV, saveAsJPEG, saveAsJPEG, saveAsPNG, saveAsPNG, scaleDensityMapU, scaleDensityMapV`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### domains

          public java.util.ArrayList<java.lang.Double> domains

    - #### shiftAmounts

          public java.util.ArrayList<java.lang.Double> shiftAmounts

    - #### origMap

          public IMap origMap

  - ### Constructor Detail

    - #### IUStripeShiftMap

          public IUStripeShiftMap(IMap originalMap)

    - #### IUStripeShiftMap

          public IUStripeShiftMap(IMap originalMap,
                                  double shift)

  - ### Method Detail

    - #### addShift

          public void addShift(double domain,
                               double shiftAmount)

    - #### get

          public double get(double u,
                            double v)

      Description copied from class: `IMap`
      A main method to get a value of the map. This method should be overwritten by child classes to have preferable behavior returning value of the map ranging 0.0 - 1.0.
      Overrides:
        `get` in class `IMap`
      Parameters:
        `u` - u coordinates ranges 0.0 - 1.0
        `v` - v coordinates ranges 0.0 - 1.0
      Returns:
        value of the map.

    - #### getShift

          public double getShift(double x)